Subject: Re: Heap chunk size in B19
From: [email-masked] (Michael Hirmke)

23 Mar 1998 07:20:21 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Ieperen,,

>Hello,
>
>I'm stuck with the following problem:
>
>--
>(C:\SDE\bin\make.exe 1080) Exception: STATUS_ACCESS_VIOLATION
>(C:\SDE\bin\make.exe 1080) Dumping stack trace to make.exe.core
>The heap has been split, CYGWIN can't fork this process.
>Increase the heap_chunk_size in the registry and try again.
>make: vfork: Not enough space
>--
>
>Now I have tried to create a key in the registry but probably not in the
>correct place.
>How do I increase the heap_chunk_size? And how does one verify it is set
>correctly?

Searching my archive I found the following info:

------------------------< snip snip snip >-----------------------------
From:   Parker, Ron
Sent:   Tuesday, November 11, 1997 4:52 PM
To:     [email-masked]'
Subject:        RE: Heap chunk size registry entry WAS: Towards a more 
user-friendly cygwin.dll

After perusing the CDK source code I was able to find and verify the 
appropriate key. It is located at HKEY_CURRENT_USER\Software\Cygnus 
Solutions\CYGWIN.DLL setup\b15.0. The value must be named 
heap_chunk_in_mb and must be a DWORD value. BTW 4MB is the minimum.

If you set the value below 4 and run a cygwin application it will be 
reset to the minimum value of 4. This was how I tested that I had the 
right key and value name.
------------------------< snip snip snip >-----------------------------

>
>(BTW. I'm running the make command from a standard 'cmd.exe' shell.)
>
>Greetings,
>
>Johan

Hope this helps a bit.

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".